<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Clxxgpsbean" type="cn.vp.XXX.model.ClxxgpsBean"/> -->	
	<typeAlias alias="Clxxgps" type="cn.im.che.ClxxgpsBean"/>
	
	<sql id="condition_Clxxgps">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKExh'>
			(xh like concat('%',#LIKExh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xh'>
			(xh = #xh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEhphm'>
			(hphm like concat('%',#LIKEhphm# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='hphm'>
			(hphm = #hphm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEhpzl'>
			(hpzl like concat('%',#LIKEhpzl# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='hpzl'>
			(hpzl = #hpzl# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcsys'>
			(csys like concat('%',#LIKEcsys# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='csys'>
			(csys = #csys# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcllx'>
			(cllx like concat('%',#LIKEcllx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cllx'>
			(cllx = #cllx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElxr'>
			(lxr like concat('%',#LIKElxr# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lxr'>
			(lxr = #lxr# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElxdh'>
			(lxdh like concat('%',#LIKElxdh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lxdh'>
			(lxdh = #lxdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgh'>
			(gh like concat('%',#LIKEgh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gh'>
			(gh = #gh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgxbmbh'>
			(gxbmbh like concat('%',#LIKEgxbmbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gxbmbh'>
			(gxbmbh = #gxbmbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgxbmmc'>
			(gxbmmc like concat('%',#LIKEgxbmmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gxbmmc'>
			(gxbmmc = #gxbmmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(bz like concat('%',#LIKEbz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbbh'>
			(sbbh like concat('%',#LIKEsbbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbbh'>
			(sbbh = #sbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwbbh'>
			(wbbh like concat('%',#LIKEwbbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wbbh'>
			(wbbh = #wbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEtdbh'>
			(tdbh like concat('%',#LIKEtdbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='tdbh'>
			(tdbh = #tdbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEtdlx'>
			(tdlx like concat('%',#LIKEtdlx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='tdlx'>
			(tdlx = #tdlx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdzwlq'>
			(dzwlq like concat('%',#LIKEdzwlq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='dzwlq'>
			(dzwlq = #dzwlq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjrjc'>
			(jrjc like concat('%',#LIKEjrjc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jrjc'>
			(jrjc = #jrjc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcqjc'>
			(cqjc like concat('%',#LIKEcqjc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cqjc'>
			(cqjc = #cqjc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzlcs'>
			(zlcs like concat('%',#LIKEzlcs# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zlcs'>
			(zlcs = #zlcs# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsyyl'>
			(syyl like concat('%',#LIKEsyyl# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='syyl'>
			(syyl = #syyl# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbglyh'>
			(bglyh like concat('%',#LIKEbglyh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bglyh'>
			(bglyh = #bglyh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEhbsj'>
			(hbsj like concat('%',#LIKEhbsj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='hbsj'>
			(hbsj = #hbsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzylx'>
			(zylx like concat('%',#LIKEzylx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zylx'>
			(zylx = #zylx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjd'>
			(jd like concat('%',#LIKEjd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jd'>
			(jd = #jd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwd'>
			(wd like concat('%',#LIKEwd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wd'>
			(wd = #wd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEtbsj'>
			(tbsj like concat('%',#LIKEtbsj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='tbsj'>
			(tbsj = #tbsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz1'>
			(kz1 like concat('%',#LIKEkz1# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz1'>
			(kz1 = #kz1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz2'>
			(kz2 like concat('%',#LIKEkz2# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz2'>
			(kz2 = #kz2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz3'>
			(kz3 like concat('%',#LIKEkz3# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz3'>
			(kz3 = #kz3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz4'>
			(kz4 like concat('%',#LIKEkz4# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz4'>
			(kz4 = #kz4# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Clxxgps" parameterClass="java.util.Map">
		insert into 
		clxxgps(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='xh'>xh</isNotEmpty>
			<isNotEmpty prepend=',' property='hphm'>hphm</isNotEmpty>
			<isNotEmpty prepend=',' property='hpzl'>hpzl</isNotEmpty>
			<isNotEmpty prepend=',' property='csys'>csys</isNotEmpty>
			<isNotEmpty prepend=',' property='cllx'>cllx</isNotEmpty>
			<isNotEmpty prepend=',' property='lxr'>lxr</isNotEmpty>
			<isNotEmpty prepend=',' property='lxdh'>lxdh</isNotEmpty>
			<isNotEmpty prepend=',' property='gh'>gh</isNotEmpty>
			<isNotEmpty prepend=',' property='gxbmbh'>gxbmbh</isNotEmpty>
			<isNotEmpty prepend=',' property='gxbmmc'>gxbmmc</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>
			<isNotEmpty prepend=',' property='sbbh'>sbbh</isNotEmpty>
			<isNotEmpty prepend=',' property='wbbh'>wbbh</isNotEmpty>
			<isNotEmpty prepend=',' property='tdbh'>tdbh</isNotEmpty>
			<isNotEmpty prepend=',' property='tdlx'>tdlx</isNotEmpty>
			<isNotEmpty prepend=',' property='dzwlq'>dzwlq</isNotEmpty>
			<isNotEmpty prepend=',' property='jrjc'>jrjc</isNotEmpty>
			<isNotEmpty prepend=',' property='cqjc'>cqjc</isNotEmpty>
			<isNotEmpty prepend=',' property='zlcs'>zlcs</isNotEmpty>
			<isNotEmpty prepend=',' property='syyl'>syyl</isNotEmpty>
			<isNotEmpty prepend=',' property='bglyh'>bglyh</isNotEmpty>
			<isNotEmpty prepend=',' property='hbsj'>hbsj</isNotEmpty>
			<isNotEmpty prepend=',' property='zylx'>zylx</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>jd</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>wd</isNotEmpty>
			<isNotEmpty prepend=',' property='tbsj'>tbsj</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='xh'>#xh#</isNotEmpty>
			<isNotEmpty prepend=',' property='hphm'>#hphm#</isNotEmpty>
			<isNotEmpty prepend=',' property='hpzl'>#hpzl#</isNotEmpty>
			<isNotEmpty prepend=',' property='csys'>#csys#</isNotEmpty>
			<isNotEmpty prepend=',' property='cllx'>#cllx#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxr'>#lxr#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxdh'>#lxdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gh'>#gh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gxbmbh'>#gxbmbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gxbmmc'>#gxbmmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbbh'>#sbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='wbbh'>#wbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='tdbh'>#tdbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='tdlx'>#tdlx#</isNotEmpty>
			<isNotEmpty prepend=',' property='dzwlq'>#dzwlq#</isNotEmpty>
			<isNotEmpty prepend=',' property='jrjc'>#jrjc#</isNotEmpty>
			<isNotEmpty prepend=',' property='cqjc'>#cqjc#</isNotEmpty>
			<isNotEmpty prepend=',' property='zlcs'>#zlcs#</isNotEmpty>
			<isNotEmpty prepend=',' property='syyl'>#syyl#</isNotEmpty>
			<isNotEmpty prepend=',' property='bglyh'>#bglyh#</isNotEmpty>
			<isNotEmpty prepend=',' property='hbsj'>#hbsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='zylx'>#zylx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>#jd#</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>#wd#</isNotEmpty>
			<isNotEmpty prepend=',' property='tbsj'>#tbsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>#kz4#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Clxxgps" parameterClass="java.util.Map">
		update clxxgps 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='hphm'>hphm=#hphm#</isNotEmpty>
			<isNotEmpty prepend=',' property='hpzl'>hpzl=#hpzl#</isNotEmpty>
			<isNotEmpty prepend=',' property='csys'>csys=#csys#</isNotEmpty>
			<isNotEmpty prepend=',' property='cllx'>cllx=#cllx#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxr'>lxr=#lxr#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxdh'>lxdh=#lxdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gh'>gh=#gh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gxbmbh'>gxbmbh=#gxbmbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gxbmmc'>gxbmmc=#gxbmmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbbh'>sbbh=#sbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='wbbh'>wbbh=#wbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='tdbh'>tdbh=#tdbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='tdlx'>tdlx=#tdlx#</isNotEmpty>
			<isNotEmpty prepend=',' property='dzwlq'>dzwlq=#dzwlq#</isNotEmpty>
			<isNotEmpty prepend=',' property='jrjc'>jrjc=#jrjc#</isNotEmpty>
			<isNotEmpty prepend=',' property='cqjc'>cqjc=#cqjc#</isNotEmpty>
			<isNotEmpty prepend=',' property='zlcs'>zlcs=#zlcs#</isNotEmpty>
			<isNotEmpty prepend=',' property='syyl'>syyl=#syyl#</isNotEmpty>
			<isNotEmpty prepend=',' property='bglyh'>bglyh=#bglyh#</isNotEmpty>
			<isNotEmpty prepend=',' property='hbsj'>hbsj=#hbsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='zylx'>zylx=#zylx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>jd=#jd#</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>wd=#wd#</isNotEmpty>
			<isNotEmpty prepend=',' property='tbsj'>tbsj=#tbsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1=#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2=#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3=#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4=#kz4#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND' property='XGTJxh'> xh = #XGTJxh#</isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJhphm'> hphm = #XGTJhphm# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJhpzl'> hpzl = #XGTJhpzl# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcsys'> csys = #XGTJcsys# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcllx'> cllx = #XGTJcllx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJlxr'> lxr = #XGTJlxr# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJlxdh'> lxdh = #XGTJlxdh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgh'> gh = #XGTJgh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgxbmbh'> gxbmbh = #XGTJgxbmbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgxbmmc'> gxbmmc = #XGTJgxbmmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsbbh'> sbbh = #XGTJsbbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJwbbh'> wbbh = #XGTJwbbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJtdbh'> tdbh = #XGTJtdbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJtdlx'> tdlx = #XGTJtdlx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJdzwlq'> dzwlq = #XGTJdzwlq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjrjc'> jrjc = #XGTJjrjc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcqjc'> cqjc = #XGTJcqjc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJzlcs'> zlcs = #XGTJzlcs# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsyyl'> syyl = #XGTJsyyl# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbglyh'> bglyh = #XGTJbglyh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJhbsj'> hbsj = #XGTJhbsj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJzylx'> zylx = #XGTJzylx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjd'> jd = #XGTJjd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJwd'> wd = #XGTJwd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJtbsj'> tbsj = #XGTJtbsj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz1'> kz1 = #XGTJkz1# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz2'> kz2 = #XGTJkz2# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz3'> kz3 = #XGTJkz3# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz4'> kz4 = #XGTJkz4# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Clxxgps" parameterClass="java.util.Map">
		delete from clxxgps 
		<include refid="condition_Clxxgps"/>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Clxxgps" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select a.*,b.bmmc from(
		select 
			xh,hphm,hpzl,csys,cllx,lxr,lxdh,gh,gxbmbh,gxbmmc,bz,sbbh,wbbh,tdbh,tdlx,dzwlq,jrjc,cqjc,zlcs,syyl,bglyh,hbsj,zylx,jd,wd,tbsj,kz1,kz2,kz3,kz4
		from clxxgps 
		<include refid="condition_Clxxgps"/>
		)a
		left join ptyhbm b
		on a.gxbmbh = b.bmbh
		<isNotEmpty prepend=' ' property='start'>
			limit #start# ,#limit#
		</isNotEmpty>
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Clxxgps" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from clxxgps 
		<include refid="condition_Clxxgps"/>			
	</select>
	
</sqlMap>











